%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9
%global py_minor 16

%global python_major python%{py_major}

%global pkgname zipp

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")
%global python3_sitearch64 %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        3.16.2
Release:        1
Summary:        Backport of pathlib-compatible object wrapper for zip files
License:        MIT
URL:            https://pypi.org/project/zipp/
Source0:        %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
Group: 		Development/Libraries
Prefix: 	%{_prefix}


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0

Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-more-itertools >= 7.2.0


%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      python3-more-itertools >= 7.2.0
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.

%prep
%autosetup -n %{pkgname}-%{version}

%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
pip3.9 install . --root %{buildroot} --ignore-installed  

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc LICENSE README.rst PKG-INFO
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Fri Sep 15 2023 Aditya Kamath <Aditya.Kamath1@ibm.com> - 3.16.2-1
- zipp for imprtlib_resources

* Wed Jan 11 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> - 0.6.0-2
- zipp build for python3.9

* Wed Nov 06 2019 Reshma V Kumar <reskumar@in.ibm.com> -7.2.0-1
- Initial port for AIX Toolbox
- Build with python3
